Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.local
Class LocalEventBus<E,P extends Comparable<P>,C>

Show UML class diagram

    java.lang.Object
      com.hammurapi.eventbus.AbstractEventBus<E,P,C,Long,AbstractEventBus.Handle<E,P,C,Long>,S>
          com.hammurapi.eventbus.local.LocalEventBusBase<E,P,C,LocalEventStore<E,P,C>>
              com.hammurapi.eventbus.local.LocalEventBus<E,P,C>

Type Parameters:
  `E` -
  `P` -
  `C` -

All Implemented Interfaces:
  EventBus<E,P,C,Long,AbstractEventBus.Handle<E,P,C,Long>,LocalEventStore<E,P,C>>

    public class LocalEventBus<E,P extends Comparable<P>,C>

extends LocalEventBusBase<E,P,C,LocalEventStore<E,P,C>>

Local event bus which store generic parameter is bound to LocalEventStore.

Nested Class Summary
`static class` | `LocalEventBus.Config<E,P extends Comparable<P>,C>` Configurator with bound store generic parameter.

Nested classes/interfaces inherited from class com.hammurapi.eventbus.AbstractEventBus
`AbstractEventBus.CreateMasterHandleResult, AbstractEventBus.DerivationEx<K>, AbstractEventBus.Handle<E,P extends Comparable<P>,C,K>, AbstractEventBus.Snapshot<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>, AbstractEventBus.StateSnapshot<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>, AbstractEventBus.StoreEntry<E,P extends Comparable<P>,C,K>`

Constructor Summary
`LocalEventBus(LocalEventBus.Config<E,P,C> config)`

Method Summary

Methods inherited from class com.hammurapi.eventbus.local.LocalEventBusBase
`createExecutorService, createExecutorService, createInferenceContext, getExecutorService, getMaxDerivationDepth, getRtcLock, newMasterHandle, nextId, processInferenceCommand, processRemoveCommand, remove, setMaxDerivationDepth`

Methods inherited from class com.hammurapi.eventbus.AbstractEventBus
`addHandler, createMasterHandle, getDerivations, getEventType, getExceptionHandler, getInferencePolicy, getStore, join, join, manageHandlers, post, removeHandlers, removeHandlers, reset, setExceptionHandler, takeSnapshot, workingMemorySnapshot`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalEventBus

    public LocalEventBus(LocalEventBus.Config<E,P,C> config)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD